Fly.io
Postgres Clusters

Disable Extension

View as Markdown

Disable a specific Postgres extension within a database, optionally dropping objects that depend on it. System extensions cannot be disabled.

DELETE
/v1/postgres/{postgres_cluster_id}/databases/{database_name}/extensions/{extension_name}

Disable a specific Postgres extension within a database, optionally dropping objects that depend on it. System extensions cannot be disabled.

Authorization

bearerAuth
AuthorizationBearer <token>

A Fly.io access token. Create one with fly tokens create.

In: header

Path Parameters

postgres_cluster_id*string

Managed Postgres Cluster ID

database_name*string

Database Name

extension_name*string

Extension Name

Query Parameters

force?boolean

Also drop objects that depend on the extension

Response Body

application/json

application/json

application/json

curl -X DELETE "https://example.com/v1/postgres/string/databases/string/extensions/string"
Empty
{  "error": "string"}
{  "error": "string"}
{  "error": "string"}